// Copyright 2019 getensh.com. All rights reserved.
// Use of this source code is governed by getensh.com.

package errors

import (
	"google.golang.org/grpc/status"
)

var (
	// 通用错误
	SystemError  = status.Error(10001, "系统错误")
	ServiceError = status.Error(10002, "内部服务错误")
	ParamsError  = status.Error(10003, "参数错误")

	BrandNotExistError = status.Error(11001, "品牌不存在")
	CycleError         = status.Error(11002, "新增数据里程间隔周期无法匹配")

	FieldNotExistError    = status.Error(11003, "字段不存在")
	DataNotExistError     = status.Error(11004, "数据不存在")
	InterfaceNoExistError = status.Error(11005, "接口不存在")
	CreateIdError         = status.Error(11006, "导出车型失败，生成导出id失败")
	ExportError           = status.Error(11006, "导出车型失败，插入导出id失败")
	CreateMsgError        = status.Error(11006, "导出车型失败，消息生成失败")
	SendMsgError          = status.Error(11006, "导出车型失败，消息投递失败")
	TimeCalcFailed                             = status.Error(11007, "时间计算错误")
	AnnualRuleError                             = status.Error(11008, "无年检计算规则")
	DataBaseError = status.Error(20005, "数据库操作失败")
)
