package model

import (
	"git.getensh.com/common/gopkgsv2/database"
	"gorm.io/gorm"
)

type Ads9Model interface {
	Get(db *gorm.DB) (*Ads9, error)
	List(db *gorm.DB) ([]Ads9, error)
}

type Ads9 struct {
	ID            int64  `gorm:"column:id"             json:"id"`
	ModelNo       string `gorm:"column:model_no"       json:"model_no"`
	SpySeriesId   string `gorm:"column:spy_series_id"  json:"spy_series_id"`
	SeriesId      string `gorm:"column:series_id"      json:"series_id"`
	ModelYear     string `gorm:"column:model_year"     json:"model_year"`
	DisplacementL string `gorm:"column:displacement_l" json:"displacement_l"`
	Vin10         string `gorm:"column:vin10"          json:"vin10"`
	AirIntakForm  string `gorm:"column:air_intak_form" json:"air_intak_form"`
	VinRule       string `gorm:"column:vin_rule"       json:"vin_rule"`
}

type defaultAds9Model struct {
	tableName string
}

func NewAds9Model() Ads9Model {
	return &defaultAds9Model{
		"db_adm_ads.t_adm_ads9",
	}
}

func (d *defaultAds9Model) Get(db *gorm.DB) (*Ads9, error) {
	var res Ads9
	err := database.Get(db, &res, database.Option{
		TableName: d.tableName,
		OrderBy:   "model_year DESC",
	})
	return &res, err
}

func (d *defaultAds9Model) List(db *gorm.DB) ([]Ads9, error) {
	var res []Ads9
	err := database.List(db, &res, database.Option{
		TableName: d.tableName,
	})

	return res, err
}
